# Method: properties.bigQueryLinks.list

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#body.ListBigQueryLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks/list#try-it)

Lists BigQuery Links on a property.

### HTTP request

`GET https://analyticsadmin.googleapis.com/v1alpha/{parent=properties/*}/bigQueryLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the property to list BigQuery links under. Format: properties/{property_id} Example: properties/1234 |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum) |
| `pageToken` | `string` A page token, received from a previous `bigQueryLinks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `bigQueryLinks.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for bigQueryLinks.list RPC

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "bigqueryLinks": [ { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks#BigQueryLink`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `bigqueryLinks[]` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.bigQueryLinks#BigQueryLink`)`` List of BigQueryLinks. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`